cipher-blowfish-0.0.3: Blowfish cipher

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | stable
Portability | good
Safe Haskell | None
Language | Haskell98

Crypto.Cipher.Blowfish

Description

Synopsis

- data Blowfish
- data Blowfish64
- data Blowfish128
- data Blowfish256
- data Blowfish448

# Documentation

data Blowfish Source

variable keyed blowfish state

Instances

BlockCipher Blowfish Source |
Cipher Blowfish Source |

data Blowfish64 Source

64 bit keyed blowfish state

Instances

BlockCipher Blowfish64 Source |
Cipher Blowfish64 Source |

data Blowfish128 Source

128 bit keyed blowfish state

Instances

BlockCipher Blowfish128 Source |
Cipher Blowfish128 Source |

data Blowfish256 Source

256 bit keyed blowfish state

Instances

BlockCipher Blowfish256 Source |
Cipher Blowfish256 Source |

data Blowfish448 Source

448 bit keyed blowfish state

Instances

BlockCipher Blowfish448 Source |
Cipher Blowfish448 Source |